import _objectWithoutProperties from 'babel-runtime/helpers/objectWithoutProperties';
import _classCallCheck from 'babel-runtime/helpers/classCallCheck';
import _possibleConstructorReturn from 'babel-runtime/helpers/possibleConstructorReturn';
import _inherits from 'babel-runtime/helpers/inherits';
import React, { Component } from 'react';
import PropTypes from 'prop-types';

var LazyRenderBox = function (_Component) {
  _inherits(LazyRenderBox, _Component);

  function LazyRenderBox() {
    _classCallCheck(this, LazyRenderBox);

    return _possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  LazyRenderBox.prototype.shouldComponentUpdate = function shouldComponentUpdate(nextProps) {
    return nextProps.visible || nextProps.visible !== this.props.visible || nextProps.className !== this.props.className;
  };

  LazyRenderBox.prototype.render = function render() {
    var _props = this.props,
        visible = _props.visible,
        children = _props.children,
        props = _objectWithoutProperties(_props, ['visible', 'children']);

    if (!children || React.Children.count(children) > 1) {
      return React.createElement(
        'div',
        props,
        children
      );
    }

    return React.Children.only(children);
  };

  return LazyRenderBox;
}(Component);

LazyRenderBox.propTypes = {
  children: PropTypes.node,
  className: PropTypes.string,
  visible: PropTypes.bool
};


export default LazyRenderBox;